# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

%if !%buildfor7_2
Name:		kde-i18n-xh
%else
Name:		kde-i18n-Xhosa
%endif
Summary:	Xhosa language support for KDE
Version:	2.2.2
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Xhosa
Provides:	kde-i18n-Xhosa
%endif
BuildArch:	noarch

%description
Xhosa language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)

%dir %_docdir/HTML/
%dir %_docdir/HTML/xh/
%dir %_docdir/HTML/xh/kaddressbook/
%doc %_docdir/HTML/xh/kaddressbook/common
%doc %_docdir/HTML/xh/kaddressbook/*.docbook
%doc %_docdir/HTML/xh/kaddressbook/*.bz2

%dir %_docdir/HTML/xh/khelpcenter/
%doc %_docdir/HTML/xh/khelpcenter/common
%doc %_docdir/HTML/xh/khelpcenter/*.docbook
%doc %_docdir/HTML/xh/khelpcenter/*.bz2

%dir %_docdir/HTML/xh/kmenuedit/
%doc %_docdir/HTML/xh/kmenuedit/common
%doc %_docdir/HTML/xh/kmenuedit/*.docbook
%doc %_docdir/HTML/xh/kmenuedit/*.bz2

%dir %_docdir/HTML/xh/konqueror/
%doc %_docdir/HTML/xh/konqueror/common
%doc %_docdir/HTML/xh/konqueror/*.docbook
%doc %_docdir/HTML/xh/konqueror/*.bz2

%dir %_docdir/HTML/xh/kspell/
%doc %_docdir/HTML/xh/kspell/common
%doc %_docdir/HTML/xh/kspell/*.docbook
%doc %_docdir/HTML/xh/kspell/*.bz2

%dir %_datadir/locale/
%dir %_datadir/locale/xh/
%_datadir/locale/xh/charset
%_datadir/locale/xh/*.desktop
%_datadir/locale/xh/*.png
#
#
%dir %_datadir/locale/xh/LC_MESSAGES/
%_datadir/locale/xh/LC_MESSAGES/*.mo


%changelog
* Mon Dec 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-2mdk
- Don't Requires: locales-xh (it doesn't exist)
- Fix Obsoletes/Provides

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2
